#!/bin/bash

# This shell-script can be used to create the /dev entries for
# the TrueSound Decoder device.

function makenode ()
{
    if [ -e $1 ]; then
        rm -f $1
    fi
    mknod $1 c 60 $2
}

OLD_IOCTL=/dev/tsd-ioctl
OLD_MP1=/dev/tsd-mp1
OLD_MP2=/dev/tsd-mp2
OLD_MP3=/dev/tsd-mp3

if [ $UID != 0 ]; then 
  echo You have to be root to run this shell-script
  exit 1;
fi

if [ -c $OLD_IOCTL -o -c $OLD_MP1 -o -c $OLD_MP2 -o -c $OLD_MP3 ]; then
   #ask a nice question.
    echo "I have found some old devices (/dev/tsd-mpX)."
    YES_NO=""
    while [ "$YES_NO" != "y" -a "$YES_NO" != "n" ]; do 
       read -p 'Do you want me to remove them (y/n)? ' YES_NO
    done
    
    if [ "$YES_NO" == "y" ] ; then
       rm -f $OLD_IOCTL
       rm -f $OLD_MP1
       rm -f $OLD_MP2
       rm -f $OLD_MP3
    fi
fi

echo
echo The following devices will be added:
echo /dev/tsd0-ioctl /dev/tsd0-mp1 /dev/tsd0-mp2 /dev/tsd0-mp3
echo /dev/tsd1-ioctl /dev/tsd1-mp1 /dev/tsd1-mp2 /dev/tsd1-mp3
echo /dev/tsd2-ioctl /dev/tsd2-mp1 /dev/tsd2-mp2 /dev/tsd2-mp3

YES_NO=""
while [ "$YES_NO" != "y" -a "$YES_NO" != "n" ]; do 
    read -p 'continue (y/n)? ' YES_NO
done

if [ "$YES_NO" == "y" ] ; then
   makenode /dev/tsd0-ioctl 0x00
   makenode /dev/tsd0-mp1 0x01
   makenode /dev/tsd0-mp2 0x02
   makenode /dev/tsd0-mp3 0x03

   makenode /dev/tsd1-ioctl 0x40
   makenode /dev/tsd1-mp1 0x41
   makenode /dev/tsd1-mp2 0x42
   makenode /dev/tsd1-mp3 0x43

   makenode /dev/tsd2-ioctl 0x80
   makenode /dev/tsd2-mp1 0x81
   makenode /dev/tsd2-mp2 0x82
   makenode /dev/tsd2-mp3 0x83
fi

